function Invoke-TF {
    <#
.SYNOPSIS
Locates the most recent version of tf.exe installed on the host machine and invokes it with all parameters passed to this function

.EXAMPLE
INVOKE-TF GET src\data /r

Assuming one has Visual Studio 11 installed, this is the equivilent of calling $env:VS110COMNTOOLS\..\ide\tf.exe GET src\data /r
If you only had VS 2010 then the version of tf.exe from the vs2010 install would be used.

.LINK
https://BigGit.Codeplex.com
#>
    if(!$tfPath){ $global:tfPath = Get-TfsPath }
    
    ."$tfPath" $args
}
