# BigGit
# Version: 1.1.5
# Changeset: 58b5395066f6c85a71cb391f02de30b4ef3f3bac

$modPath = (Split-Path -parent $MyInvocation.MyCommand.Definition);

Resolve-Path $modPath\*.ps1 | 
    ? { -not ($_.ProviderPath.Contains(".Tests.")) } |
    % { . $_.ProviderPath }

Export-ModuleMember Invoke-TF, Install-BigGit, Set-NonVolatileLinks, Install-Git, Add-NonVolatileEnlistment, Add-VolatileEnlistment, Add-PartialBranch, Add-PartialBranchGitClone, Invoke-ForwardIntegration, Invoke-ReverseIntegration, Add-Workspace, Get-BigGitConfig, Get-WorkspaceName
